%global pypi_name websocket-client
%global module_name websocket_client
%global dir_name websocket
%global commitId 8409d5f3583ab5f1c0fc2bcf91cf9ed11b0d06bf

%global common_description %{expand:
websocket-client is a WebSocket client for Python. 
It provides access to low level APIs for WebSockets. 
websocket-client implements version hybi-13 of the WebSocket protocol. 
This client does not currently support the permessage-deflate 
extension from RFC 7692.}
%global common_summary %{expand: WebSocket client for Python}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.5.1
Release:        1%{?dist}
Summary:        %{common_summary}

License:        Apache-2.0
URL:            https://github.com/websocket-client/websocket-client
Source0:        python-websocket-client-8409d5f3583ab5f1c0fc2bcf91cf9ed11b0d06bf.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{dir_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/wsdump

%changelog
* Wed Apr 12 2023 James Marshall <jamarsha@redhat.com> 1.5.1-1
- Initial release
